#!/usr/bin/env bash

[[ -z $1 ]] && echo 'No arguments specified' && exit 1

if [[ -d $1 ]]; then
    cd "$1"
else
    echo 'Specified path does not exist' && exit 1
fi

folders=("video" "thumbnails" "metadata" "descriptions" "subs")

for folder in "${folders[@]}"; do
    [[ ! -d $folder ]] && mkdir "$folder"
done

mv *.mkv video
mv *.jpg thumbnails
mv *.jpeg thumbnails 
mv *.png thumbnails
mv *.webp thumbnails 
mv *.info.json metadata
mv *.description descriptions
mv *.vtt subs
